<?php

namespace eBizCharge\ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfPaymentMethodProfileDetails ArrayType
 * @subpackage Arrays
 */
class ArrayOfPaymentMethodProfileDetails extends AbstractStructArrayBase
{
    /**
     * The PaymentMethodProfileDetails
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \eBizCharge\StructType\PaymentMethodProfileDetails[]
     */
    public $PaymentMethodProfileDetails;
    /**
     * Constructor method for ArrayOfPaymentMethodProfileDetails
     * @uses ArrayOfPaymentMethodProfileDetails::setPaymentMethodProfileDetails()
     * @param \eBizCharge\StructType\PaymentMethodProfileDetails[] $paymentMethodProfileDetails
     */
    public function __construct(array $paymentMethodProfileDetails = array())
    {
        $this
            ->setPaymentMethodProfileDetails($paymentMethodProfileDetails);
    }
    /**
     * Get PaymentMethodProfileDetails value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \eBizCharge\StructType\PaymentMethodProfileDetails[]|null
     */
    public function getPaymentMethodProfileDetails()
    {
        return isset($this->PaymentMethodProfileDetails) ? $this->PaymentMethodProfileDetails : null;
    }
    /**
     * This method is responsible for validating the values passed to the setPaymentMethodProfileDetails method
     * This method is willingly generated in order to preserve the one-line inline validation within the setPaymentMethodProfileDetails method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validatePaymentMethodProfileDetailsForArrayConstraintsFromSetPaymentMethodProfileDetails(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfPaymentMethodProfileDetailsPaymentMethodProfileDetailsItem) {
            // validation for constraint: itemType
            if (!$arrayOfPaymentMethodProfileDetailsPaymentMethodProfileDetailsItem instanceof \eBizCharge\StructType\PaymentMethodProfileDetails) {
                $invalidValues[] = is_object($arrayOfPaymentMethodProfileDetailsPaymentMethodProfileDetailsItem) ? get_class($arrayOfPaymentMethodProfileDetailsPaymentMethodProfileDetailsItem) : sprintf('%s(%s)', gettype($arrayOfPaymentMethodProfileDetailsPaymentMethodProfileDetailsItem), var_export($arrayOfPaymentMethodProfileDetailsPaymentMethodProfileDetailsItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The PaymentMethodProfileDetails property can only contain items of type \eBizCharge\StructType\PaymentMethodProfileDetails, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set PaymentMethodProfileDetails value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \eBizCharge\StructType\PaymentMethodProfileDetails[] $paymentMethodProfileDetails
     * @return \eBizCharge\ArrayType\ArrayOfPaymentMethodProfileDetails
     */
    public function setPaymentMethodProfileDetails(array $paymentMethodProfileDetails = array())
    {
        // validation for constraint: array
        if ('' !== ($paymentMethodProfileDetailsArrayErrorMessage = self::validatePaymentMethodProfileDetailsForArrayConstraintsFromSetPaymentMethodProfileDetails($paymentMethodProfileDetails))) {
            throw new \InvalidArgumentException($paymentMethodProfileDetailsArrayErrorMessage, __LINE__);
        }
        if (is_null($paymentMethodProfileDetails) || (is_array($paymentMethodProfileDetails) && empty($paymentMethodProfileDetails))) {
            unset($this->PaymentMethodProfileDetails);
        } else {
            $this->PaymentMethodProfileDetails = $paymentMethodProfileDetails;
        }
        return $this;
    }
    /**
     * Add item to PaymentMethodProfileDetails value
     * @throws \InvalidArgumentException
     * @param \eBizCharge\StructType\PaymentMethodProfileDetails $item
     * @return \eBizCharge\ArrayType\ArrayOfPaymentMethodProfileDetails
     */
    public function addToPaymentMethodProfileDetails(\eBizCharge\StructType\PaymentMethodProfileDetails $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \eBizCharge\StructType\PaymentMethodProfileDetails) {
            throw new \InvalidArgumentException(sprintf('The PaymentMethodProfileDetails property can only contain items of type \eBizCharge\StructType\PaymentMethodProfileDetails, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->PaymentMethodProfileDetails[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \eBizCharge\StructType\PaymentMethodProfileDetails|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \eBizCharge\StructType\PaymentMethodProfileDetails|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \eBizCharge\StructType\PaymentMethodProfileDetails|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \eBizCharge\StructType\PaymentMethodProfileDetails|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \eBizCharge\StructType\PaymentMethodProfileDetails|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string PaymentMethodProfileDetails
     */
    public function getAttributeName()
    {
        return 'PaymentMethodProfileDetails';
    }
}
