<?php

namespace eBizCharge;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'SearchCustomers' => '\\eBizCharge\\StructType\\SearchCustomers',
            'SecurityToken' => '\\eBizCharge\\StructType\\SecurityToken',
            'SearchCustomersResponse' => '\\eBizCharge\\StructType\\SearchCustomersResponse',
            'ArrayOfCustomer' => '\\eBizCharge\\ArrayType\\ArrayOfCustomer',
            'Customer' => '\\eBizCharge\\StructType\\Customer',
            'ArrayOfRecurringBilling' => '\\eBizCharge\\ArrayType\\ArrayOfRecurringBilling',
            'RecurringBilling' => '\\eBizCharge\\StructType\\RecurringBilling',
            'CustomSchedule' => '\\eBizCharge\\StructType\\CustomSchedule',
            'Address' => '\\eBizCharge\\StructType\\Address',
            'ArrayOfPaymentMethodProfile' => '\\eBizCharge\\ArrayType\\ArrayOfPaymentMethodProfile',
            'PaymentMethodProfile' => '\\eBizCharge\\StructType\\PaymentMethodProfile',
            'ArrayOfEbizCustomField' => '\\eBizCharge\\ArrayType\\ArrayOfEbizCustomField',
            'EbizCustomField' => '\\eBizCharge\\StructType\\EbizCustomField',
            'SearchCustomerList' => '\\eBizCharge\\StructType\\SearchCustomerList',
            'ArrayOfSearchFilter' => '\\eBizCharge\\ArrayType\\ArrayOfSearchFilter',
            'SearchFilter' => '\\eBizCharge\\StructType\\SearchFilter',
            'SearchCustomerListResponse' => '\\eBizCharge\\StructType\\SearchCustomerListResponse',
            'CustomerListSearchResult' => '\\eBizCharge\\StructType\\CustomerListSearchResult',
            'AddCustomer' => '\\eBizCharge\\StructType\\AddCustomer',
            'AddCustomerResponse' => '\\eBizCharge\\StructType\\AddCustomerResponse',
            'CustomerResponse' => '\\eBizCharge\\StructType\\CustomerResponse',
            'UpdateCustomer' => '\\eBizCharge\\StructType\\UpdateCustomer',
            'UpdateCustomerResponse' => '\\eBizCharge\\StructType\\UpdateCustomerResponse',
            'MarkCustomerAsInactive' => '\\eBizCharge\\StructType\\MarkCustomerAsInactive',
            'MarkCustomerAsInactiveResponse' => '\\eBizCharge\\StructType\\MarkCustomerAsInactiveResponse',
            'MarkCustomerAsSynchronized' => '\\eBizCharge\\StructType\\MarkCustomerAsSynchronized',
            'MarkCustomerAsSynchronizedResponse' => '\\eBizCharge\\StructType\\MarkCustomerAsSynchronizedResponse',
            'CopyCustomer' => '\\eBizCharge\\StructType\\CopyCustomer',
            'CopyCustomerResponse' => '\\eBizCharge\\StructType\\CopyCustomerResponse',
            'GetCustomer' => '\\eBizCharge\\StructType\\GetCustomer',
            'GetCustomerResponse' => '\\eBizCharge\\StructType\\GetCustomerResponse',
            'GetGWCustomer' => '\\eBizCharge\\StructType\\GetGWCustomer',
            'GetGWCustomerResponse' => '\\eBizCharge\\StructType\\GetGWCustomerResponse',
            'AddSubCustomer' => '\\eBizCharge\\StructType\\AddSubCustomer',
            'SubCustomer' => '\\eBizCharge\\StructType\\SubCustomer',
            'AddSubCustomerResponse' => '\\eBizCharge\\StructType\\AddSubCustomerResponse',
            'SubCustomerResponse' => '\\eBizCharge\\StructType\\SubCustomerResponse',
            'UpdateSubCustomer' => '\\eBizCharge\\StructType\\UpdateSubCustomer',
            'UpdateSubCustomerResponse' => '\\eBizCharge\\StructType\\UpdateSubCustomerResponse',
            'GetSubCustomer' => '\\eBizCharge\\StructType\\GetSubCustomer',
            'GetSubCustomerResponse' => '\\eBizCharge\\StructType\\GetSubCustomerResponse',
            'AddInvoice' => '\\eBizCharge\\StructType\\AddInvoice',
            'Invoice' => '\\eBizCharge\\StructType\\Invoice',
            'ArrayOfItem' => '\\eBizCharge\\ArrayType\\ArrayOfItem',
            'Item' => '\\eBizCharge\\StructType\\Item',
            'AddInvoiceResponse' => '\\eBizCharge\\StructType\\AddInvoiceResponse',
            'InvoiceResponse' => '\\eBizCharge\\StructType\\InvoiceResponse',
            'UpdateInvoice' => '\\eBizCharge\\StructType\\UpdateInvoice',
            'UpdateInvoiceResponse' => '\\eBizCharge\\StructType\\UpdateInvoiceResponse',
            'GetInvoice' => '\\eBizCharge\\StructType\\GetInvoice',
            'GetInvoiceResponse' => '\\eBizCharge\\StructType\\GetInvoiceResponse',
            'SearchInvoices' => '\\eBizCharge\\StructType\\SearchInvoices',
            'SearchInvoicesResponse' => '\\eBizCharge\\StructType\\SearchInvoicesResponse',
            'ArrayOfInvoice' => '\\eBizCharge\\ArrayType\\ArrayOfInvoice',
            'GetPayments' => '\\eBizCharge\\StructType\\GetPayments',
            'GetPaymentsResponse' => '\\eBizCharge\\StructType\\GetPaymentsResponse',
            'ArrayOfPayment' => '\\eBizCharge\\ArrayType\\ArrayOfPayment',
            'Payment' => '\\eBizCharge\\StructType\\Payment',
            'GetPaymentsCount' => '\\eBizCharge\\StructType\\GetPaymentsCount',
            'GetPaymentsCountResponse' => '\\eBizCharge\\StructType\\GetPaymentsCountResponse',
            'GetInvoicePayments' => '\\eBizCharge\\StructType\\GetInvoicePayments',
            'GetInvoicePaymentsResponse' => '\\eBizCharge\\StructType\\GetInvoicePaymentsResponse',
            'GetPaymentFormURL' => '\\eBizCharge\\StructType\\GetPaymentFormURL',
            'EPaymentForm' => '\\eBizCharge\\StructType\\EPaymentForm',
            'GetPaymentFormURLResponse' => '\\eBizCharge\\StructType\\GetPaymentFormURLResponse',
            'GetEbizWebFormURL' => '\\eBizCharge\\StructType\\GetEbizWebFormURL',
            'EbizWebForm' => '\\eBizCharge\\StructType\\EbizWebForm',
            'ArrayOfTransactionLineItem' => '\\eBizCharge\\ArrayType\\ArrayOfTransactionLineItem',
            'TransactionLineItem' => '\\eBizCharge\\StructType\\TransactionLineItem',
            'DeviceSettings' => '\\eBizCharge\\StructType\\DeviceSettings',
            'GetEbizWebFormURLResponse' => '\\eBizCharge\\StructType\\GetEbizWebFormURLResponse',
            'AddPayment' => '\\eBizCharge\\StructType\\AddPayment',
            'PaymentRequest' => '\\eBizCharge\\StructType\\PaymentRequest',
            'AddPaymentResponse' => '\\eBizCharge\\StructType\\AddPaymentResponse',
            'PaymentResponse' => '\\eBizCharge\\StructType\\PaymentResponse',
            'AddInvoicePayment' => '\\eBizCharge\\StructType\\AddInvoicePayment',
            'InvoicePaymentRequest' => '\\eBizCharge\\StructType\\InvoicePaymentRequest',
            'ArrayOfInvoicePaymentDetails' => '\\eBizCharge\\ArrayType\\ArrayOfInvoicePaymentDetails',
            'InvoicePaymentDetails' => '\\eBizCharge\\StructType\\InvoicePaymentDetails',
            'AddInvoicePaymentResponse' => '\\eBizCharge\\StructType\\AddInvoicePaymentResponse',
            'InvoicePaymentResponse' => '\\eBizCharge\\StructType\\InvoicePaymentResponse',
            'MarkPaymentAsApplied' => '\\eBizCharge\\StructType\\MarkPaymentAsApplied',
            'MarkPaymentAsAppliedResponse' => '\\eBizCharge\\StructType\\MarkPaymentAsAppliedResponse',
            'GetPaymentsByGatewayRefNum' => '\\eBizCharge\\StructType\\GetPaymentsByGatewayRefNum',
            'GetPaymentsByGatewayRefNumResponse' => '\\eBizCharge\\StructType\\GetPaymentsByGatewayRefNumResponse',
            'SearchItems' => '\\eBizCharge\\StructType\\SearchItems',
            'SearchItemsResponse' => '\\eBizCharge\\StructType\\SearchItemsResponse',
            'ArrayOfItemDetails' => '\\eBizCharge\\ArrayType\\ArrayOfItemDetails',
            'ItemDetails' => '\\eBizCharge\\StructType\\ItemDetails',
            'AddItem' => '\\eBizCharge\\StructType\\AddItem',
            'AddItemResponse' => '\\eBizCharge\\StructType\\AddItemResponse',
            'ItemDetailsResponse' => '\\eBizCharge\\StructType\\ItemDetailsResponse',
            'UpdateItem' => '\\eBizCharge\\StructType\\UpdateItem',
            'UpdateItemResponse' => '\\eBizCharge\\StructType\\UpdateItemResponse',
            'MarkInvoiceAsSynchronized' => '\\eBizCharge\\StructType\\MarkInvoiceAsSynchronized',
            'MarkInvoiceAsSynchronizedResponse' => '\\eBizCharge\\StructType\\MarkInvoiceAsSynchronizedResponse',
            'GetEmailTemplates' => '\\eBizCharge\\StructType\\GetEmailTemplates',
            'GetEmailTemplatesResponse' => '\\eBizCharge\\StructType\\GetEmailTemplatesResponse',
            'ArrayOfEmailTemplate' => '\\eBizCharge\\ArrayType\\ArrayOfEmailTemplate',
            'EmailTemplate' => '\\eBizCharge\\StructType\\EmailTemplate',
            'SearchEmailTemplates' => '\\eBizCharge\\StructType\\SearchEmailTemplates',
            'SearchEmailTemplatesResponse' => '\\eBizCharge\\StructType\\SearchEmailTemplatesResponse',
            'GetMerchantTransactionData' => '\\eBizCharge\\StructType\\GetMerchantTransactionData',
            'GetMerchantTransactionDataResponse' => '\\eBizCharge\\StructType\\GetMerchantTransactionDataResponse',
            'MerchantTransactionData' => '\\eBizCharge\\StructType\\MerchantTransactionData',
            'GetMerchantTransactionDataBySK' => '\\eBizCharge\\StructType\\GetMerchantTransactionDataBySK',
            'GetMerchantTransactionDataBySKResponse' => '\\eBizCharge\\StructType\\GetMerchantTransactionDataBySKResponse',
            'AuthenticateSK' => '\\eBizCharge\\StructType\\AuthenticateSK',
            'AuthenticateSKResponse' => '\\eBizCharge\\StructType\\AuthenticateSKResponse',
            'ScheduleRecurringPayment' => '\\eBizCharge\\StructType\\ScheduleRecurringPayment',
            'ScheduleRecurringPaymentResponse' => '\\eBizCharge\\StructType\\ScheduleRecurringPaymentResponse',
            'ModifyScheduledRecurringPaymentStatus' => '\\eBizCharge\\StructType\\ModifyScheduledRecurringPaymentStatus',
            'ModifyScheduledRecurringPaymentStatusResponse' => '\\eBizCharge\\StructType\\ModifyScheduledRecurringPaymentStatusResponse',
            'ModifyScheduledRecurringPayment_PaymentMethodProfile' => '\\eBizCharge\\StructType\\ModifyScheduledRecurringPayment_PaymentMethodProfile',
            'ModifyScheduledRecurringPayment_PaymentMethodProfileResponse' => '\\eBizCharge\\StructType\\ModifyScheduledRecurringPayment_PaymentMethodProfileResponse',
            'ModifyScheduledRecurringPaymentResponse' => '\\eBizCharge\\StructType\\ModifyScheduledRecurringPaymentResponse',
            'ModifyScheduledRecurringPayment_RecurringBilling' => '\\eBizCharge\\StructType\\ModifyScheduledRecurringPayment_RecurringBilling',
            'ModifyScheduledRecurringPayment_RecurringBillingResponse' => '\\eBizCharge\\StructType\\ModifyScheduledRecurringPayment_RecurringBillingResponse',
            'SearchScheduledRecurringPayments' => '\\eBizCharge\\StructType\\SearchScheduledRecurringPayments',
            'SearchScheduledRecurringPaymentsResponse' => '\\eBizCharge\\StructType\\SearchScheduledRecurringPaymentsResponse',
            'ArrayOfRecurringBillingDetails' => '\\eBizCharge\\ArrayType\\ArrayOfRecurringBillingDetails',
            'RecurringBillingDetails' => '\\eBizCharge\\StructType\\RecurringBillingDetails',
            'SearchRecurringPayments' => '\\eBizCharge\\StructType\\SearchRecurringPayments',
            'SearchRecurringPaymentsResponse' => '\\eBizCharge\\StructType\\SearchRecurringPaymentsResponse',
            'GetScheduledDates' => '\\eBizCharge\\StructType\\GetScheduledDates',
            'GetScheduledDatesResponse' => '\\eBizCharge\\StructType\\GetScheduledDatesResponse',
            'GetRecurringSchedulePreview' => '\\eBizCharge\\StructType\\GetRecurringSchedulePreview',
            'GetRecurringSchedulePreviewResponse' => '\\eBizCharge\\StructType\\GetRecurringSchedulePreviewResponse',
            'MarkRecurringPaymentAsApplied' => '\\eBizCharge\\StructType\\MarkRecurringPaymentAsApplied',
            'MarkRecurringPaymentAsAppliedResponse' => '\\eBizCharge\\StructType\\MarkRecurringPaymentAsAppliedResponse',
            'SearchPaymentFormPendingPayments' => '\\eBizCharge\\StructType\\SearchPaymentFormPendingPayments',
            'SearchPaymentFormPendingPaymentsResponse' => '\\eBizCharge\\StructType\\SearchPaymentFormPendingPaymentsResponse',
            'SearchPaymentFormReceivedPayments' => '\\eBizCharge\\StructType\\SearchPaymentFormReceivedPayments',
            'SearchPaymentFormReceivedPaymentsResponse' => '\\eBizCharge\\StructType\\SearchPaymentFormReceivedPaymentsResponse',
            'SearchEbizWebFormPendingPayments' => '\\eBizCharge\\StructType\\SearchEbizWebFormPendingPayments',
            'SearchEbizWebFormPendingPaymentsResponse' => '\\eBizCharge\\StructType\\SearchEbizWebFormPendingPaymentsResponse',
            'SearchEbizWebFormReceivedPayments' => '\\eBizCharge\\StructType\\SearchEbizWebFormReceivedPayments',
            'SearchEbizWebFormReceivedPaymentsResponse' => '\\eBizCharge\\StructType\\SearchEbizWebFormReceivedPaymentsResponse',
            'ResendPaymentFormEmail' => '\\eBizCharge\\StructType\\ResendPaymentFormEmail',
            'ResendPaymentFormEmailResponse' => '\\eBizCharge\\StructType\\ResendPaymentFormEmailResponse',
            'ResendEbizWebFormEmail' => '\\eBizCharge\\StructType\\ResendEbizWebFormEmail',
            'ResendEbizWebFormEmailResponse' => '\\eBizCharge\\StructType\\ResendEbizWebFormEmailResponse',
            'DeleteEbizWebFormPayment' => '\\eBizCharge\\StructType\\DeleteEbizWebFormPayment',
            'DeleteEbizWebFormPaymentResponse' => '\\eBizCharge\\StructType\\DeleteEbizWebFormPaymentResponse',
            'MarkEbizWebFormPaymentAsApplied' => '\\eBizCharge\\StructType\\MarkEbizWebFormPaymentAsApplied',
            'MarkEbizWebFormPaymentAsAppliedResponse' => '\\eBizCharge\\StructType\\MarkEbizWebFormPaymentAsAppliedResponse',
            'Login' => '\\eBizCharge\\StructType\\Login',
            'LoginResponse' => '\\eBizCharge\\StructType\\LoginResponse',
            'LoginResult' => '\\eBizCharge\\StructType\\LoginResult',
            'AddUserData' => '\\eBizCharge\\StructType\\AddUserData',
            'UserData' => '\\eBizCharge\\StructType\\UserData',
            'UserSettings' => '\\eBizCharge\\StructType\\UserSettings',
            'MerchantData' => '\\eBizCharge\\StructType\\MerchantData',
            'MerchantSettings' => '\\eBizCharge\\StructType\\MerchantSettings',
            'AddUserDataResponse' => '\\eBizCharge\\StructType\\AddUserDataResponse',
            'UserDataResponse' => '\\eBizCharge\\StructType\\UserDataResponse',
            'GetUserData' => '\\eBizCharge\\StructType\\GetUserData',
            'GetUserDataResponse' => '\\eBizCharge\\StructType\\GetUserDataResponse',
            'UpdateUserData' => '\\eBizCharge\\StructType\\UpdateUserData',
            'UpdateUserDataResponse' => '\\eBizCharge\\StructType\\UpdateUserDataResponse',
            'SearchUserList' => '\\eBizCharge\\StructType\\SearchUserList',
            'SearchUserListResponse' => '\\eBizCharge\\StructType\\SearchUserListResponse',
            'UserListSearchResult' => '\\eBizCharge\\StructType\\UserListSearchResult',
            'ArrayOfUserData' => '\\eBizCharge\\ArrayType\\ArrayOfUserData',
            'UpdateMerchantData' => '\\eBizCharge\\StructType\\UpdateMerchantData',
            'UpdateMerchantDataResponse' => '\\eBizCharge\\StructType\\UpdateMerchantDataResponse',
            'MerchantDataResponse' => '\\eBizCharge\\StructType\\MerchantDataResponse',
            'GetMerchantData' => '\\eBizCharge\\StructType\\GetMerchantData',
            'GetMerchantDataResponse' => '\\eBizCharge\\StructType\\GetMerchantDataResponse',
            'UploadAttachment' => '\\eBizCharge\\StructType\\UploadAttachment',
            'Attachment' => '\\eBizCharge\\StructType\\Attachment',
            'UploadAttachmentResponse' => '\\eBizCharge\\StructType\\UploadAttachmentResponse',
            'GetCustomerToken' => '\\eBizCharge\\StructType\\GetCustomerToken',
            'GetCustomerTokenResponse' => '\\eBizCharge\\StructType\\GetCustomerTokenResponse',
            'AddCustomerPaymentMethodProfile' => '\\eBizCharge\\StructType\\AddCustomerPaymentMethodProfile',
            'AddCustomerPaymentMethodProfileResponse' => '\\eBizCharge\\StructType\\AddCustomerPaymentMethodProfileResponse',
            'UpdateCustomerPaymentMethodProfile' => '\\eBizCharge\\StructType\\UpdateCustomerPaymentMethodProfile',
            'UpdateCustomerPaymentMethodProfileResponse' => '\\eBizCharge\\StructType\\UpdateCustomerPaymentMethodProfileResponse',
            'DeleteCustomerPaymentMethodProfile' => '\\eBizCharge\\StructType\\DeleteCustomerPaymentMethodProfile',
            'DeleteCustomerPaymentMethodProfileResponse' => '\\eBizCharge\\StructType\\DeleteCustomerPaymentMethodProfileResponse',
            'GetCustomerPaymentMethodProfiles' => '\\eBizCharge\\StructType\\GetCustomerPaymentMethodProfiles',
            'GetCustomerPaymentMethodProfilesResponse' => '\\eBizCharge\\StructType\\GetCustomerPaymentMethodProfilesResponse',
            'GetCustomerPaymentMethodProfile' => '\\eBizCharge\\StructType\\GetCustomerPaymentMethodProfile',
            'GetCustomerPaymentMethodProfileResponse' => '\\eBizCharge\\StructType\\GetCustomerPaymentMethodProfileResponse',
            'SetDefaultCustomerPaymentMethodProfile' => '\\eBizCharge\\StructType\\SetDefaultCustomerPaymentMethodProfile',
            'SetDefaultCustomerPaymentMethodProfileResponse' => '\\eBizCharge\\StructType\\SetDefaultCustomerPaymentMethodProfileResponse',
            'runTransaction' => '\\eBizCharge\\StructType\\RunTransaction',
            'TransactionRequestObject' => '\\eBizCharge\\StructType\\TransactionRequestObject',
            'GwRecurringBilling' => '\\eBizCharge\\StructType\\GwRecurringBilling',
            'ArrayOfLineItem' => '\\eBizCharge\\ArrayType\\ArrayOfLineItem',
            'LineItem' => '\\eBizCharge\\StructType\\LineItem',
            'TransactionDetail' => '\\eBizCharge\\StructType\\TransactionDetail',
            'ArrayOfFieldValue' => '\\eBizCharge\\ArrayType\\ArrayOfFieldValue',
            'FieldValue' => '\\eBizCharge\\StructType\\FieldValue',
            'CreditCardData' => '\\eBizCharge\\StructType\\CreditCardData',
            'CheckData' => '\\eBizCharge\\StructType\\CheckData',
            'GwAddress' => '\\eBizCharge\\StructType\\GwAddress',
            'runTransactionResponse' => '\\eBizCharge\\StructType\\RunTransactionResponse',
            'TransactionResponse' => '\\eBizCharge\\StructType\\TransactionResponse',
            'runCustomerTransaction' => '\\eBizCharge\\StructType\\RunCustomerTransaction',
            'CustomerTransactionRequest' => '\\eBizCharge\\StructType\\CustomerTransactionRequest',
            'runCustomerTransactionResponse' => '\\eBizCharge\\StructType\\RunCustomerTransactionResponse',
            'GetTransactionDetails' => '\\eBizCharge\\StructType\\GetTransactionDetails',
            'GetTransactionDetailsResponse' => '\\eBizCharge\\StructType\\GetTransactionDetailsResponse',
            'TransactionObject' => '\\eBizCharge\\StructType\\TransactionObject',
            'CheckTrace' => '\\eBizCharge\\StructType\\CheckTrace',
            'GetReceiptsList' => '\\eBizCharge\\StructType\\GetReceiptsList',
            'GetReceiptsListResponse' => '\\eBizCharge\\StructType\\GetReceiptsListResponse',
            'ArrayOfReceipt' => '\\eBizCharge\\ArrayType\\ArrayOfReceipt',
            'Receipt' => '\\eBizCharge\\StructType\\Receipt',
            'EmailReceipt' => '\\eBizCharge\\StructType\\EmailReceipt',
            'EmailReceiptResponse' => '\\eBizCharge\\StructType\\EmailReceiptResponse',
            'RenderReceipt' => '\\eBizCharge\\StructType\\RenderReceipt',
            'RenderReceiptResponse' => '\\eBizCharge\\StructType\\RenderReceiptResponse',
            'SearchTransactions' => '\\eBizCharge\\StructType\\SearchTransactions',
            'SearchTransactionsResponse' => '\\eBizCharge\\StructType\\SearchTransactionsResponse',
            'TransactionSearchResult' => '\\eBizCharge\\StructType\\TransactionSearchResult',
            'ArrayOfTransactionObject' => '\\eBizCharge\\ArrayType\\ArrayOfTransactionObject',
            'SearchBatches' => '\\eBizCharge\\StructType\\SearchBatches',
            'SearchBatchesResponse' => '\\eBizCharge\\StructType\\SearchBatchesResponse',
            'BatchSearchResult' => '\\eBizCharge\\StructType\\BatchSearchResult',
            'ArrayOfBatchStatus' => '\\eBizCharge\\ArrayType\\ArrayOfBatchStatus',
            'BatchStatus' => '\\eBizCharge\\StructType\\BatchStatus',
            'GetBatchStatus' => '\\eBizCharge\\StructType\\GetBatchStatus',
            'GetBatchStatusResponse' => '\\eBizCharge\\StructType\\GetBatchStatusResponse',
            'CloseBatch' => '\\eBizCharge\\StructType\\CloseBatch',
            'CloseBatchResponse' => '\\eBizCharge\\StructType\\CloseBatchResponse',
            'GetBatchTransactions' => '\\eBizCharge\\StructType\\GetBatchTransactions',
            'GetBatchTransactionsResponse' => '\\eBizCharge\\StructType\\GetBatchTransactionsResponse',
            'AddApplicationData' => '\\eBizCharge\\StructType\\AddApplicationData',
            'AddApplicationDataResponse' => '\\eBizCharge\\StructType\\AddApplicationDataResponse',
            'ApplicationDataResponse' => '\\eBizCharge\\StructType\\ApplicationDataResponse',
            'GetApplicationData' => '\\eBizCharge\\StructType\\GetApplicationData',
            'GetApplicationDataResponse' => '\\eBizCharge\\StructType\\GetApplicationDataResponse',
            'ApplicationData' => '\\eBizCharge\\StructType\\ApplicationData',
            'UpdateApplicationData' => '\\eBizCharge\\StructType\\UpdateApplicationData',
            'UpdateApplicationDataResponse' => '\\eBizCharge\\StructType\\UpdateApplicationDataResponse',
            'AddSalesOrder' => '\\eBizCharge\\StructType\\AddSalesOrder',
            'SalesOrder' => '\\eBizCharge\\StructType\\SalesOrder',
            'AddSalesOrderResponse' => '\\eBizCharge\\StructType\\AddSalesOrderResponse',
            'SalesOrderResponse' => '\\eBizCharge\\StructType\\SalesOrderResponse',
            'UpdateSalesOrder' => '\\eBizCharge\\StructType\\UpdateSalesOrder',
            'UpdateSalesOrderResponse' => '\\eBizCharge\\StructType\\UpdateSalesOrderResponse',
            'GetSalesOrder' => '\\eBizCharge\\StructType\\GetSalesOrder',
            'GetSalesOrderResponse' => '\\eBizCharge\\StructType\\GetSalesOrderResponse',
            'SearchSalesOrders' => '\\eBizCharge\\StructType\\SearchSalesOrders',
            'SearchSalesOrdersResponse' => '\\eBizCharge\\StructType\\SearchSalesOrdersResponse',
            'ArrayOfSalesOrder' => '\\eBizCharge\\ArrayType\\ArrayOfSalesOrder',
            'MarkSalesOrderAsSynchronized' => '\\eBizCharge\\StructType\\MarkSalesOrderAsSynchronized',
            'MarkSalesOrderAsSynchronizedResponse' => '\\eBizCharge\\StructType\\MarkSalesOrderAsSynchronizedResponse',
            'AddSalesRep' => '\\eBizCharge\\StructType\\AddSalesRep',
            'SalesRep' => '\\eBizCharge\\StructType\\SalesRep',
            'AddSalesRepResponse' => '\\eBizCharge\\StructType\\AddSalesRepResponse',
            'SalesRepResponse' => '\\eBizCharge\\StructType\\SalesRepResponse',
            'UpdateSalesRep' => '\\eBizCharge\\StructType\\UpdateSalesRep',
            'UpdateSalesRepResponse' => '\\eBizCharge\\StructType\\UpdateSalesRepResponse',
            'GetSalesRep' => '\\eBizCharge\\StructType\\GetSalesRep',
            'GetSalesRepResponse' => '\\eBizCharge\\StructType\\GetSalesRepResponse',
            'SearchSalesReps' => '\\eBizCharge\\StructType\\SearchSalesReps',
            'SearchSalesRepsResponse' => '\\eBizCharge\\StructType\\SearchSalesRepsResponse',
            'ArrayOfSalesRep' => '\\eBizCharge\\ArrayType\\ArrayOfSalesRep',
            'AddTerms' => '\\eBizCharge\\StructType\\AddTerms',
            'Terms' => '\\eBizCharge\\StructType\\Terms',
            'AddTermsResponse' => '\\eBizCharge\\StructType\\AddTermsResponse',
            'TermsResponse' => '\\eBizCharge\\StructType\\TermsResponse',
            'UpdateTerms' => '\\eBizCharge\\StructType\\UpdateTerms',
            'UpdateTermsResponse' => '\\eBizCharge\\StructType\\UpdateTermsResponse',
            'GetTerms' => '\\eBizCharge\\StructType\\GetTerms',
            'GetTermsResponse' => '\\eBizCharge\\StructType\\GetTermsResponse',
            'SearchTerms' => '\\eBizCharge\\StructType\\SearchTerms',
            'SearchTermsResponse' => '\\eBizCharge\\StructType\\SearchTermsResponse',
            'ArrayOfTerms' => '\\eBizCharge\\ArrayType\\ArrayOfTerms',
            'AddApplicationTransaction' => '\\eBizCharge\\StructType\\AddApplicationTransaction',
            'ApplicationTransactionRequest' => '\\eBizCharge\\StructType\\ApplicationTransactionRequest',
            'AddApplicationTransactionResponse' => '\\eBizCharge\\StructType\\AddApplicationTransactionResponse',
            'ApplicationTransactionResponse' => '\\eBizCharge\\StructType\\ApplicationTransactionResponse',
            'SearchApplicationTransactions' => '\\eBizCharge\\StructType\\SearchApplicationTransactions',
            'SearchApplicationTransactionsResponse' => '\\eBizCharge\\StructType\\SearchApplicationTransactionsResponse',
            'ApplicationTransactionSearchResult' => '\\eBizCharge\\StructType\\ApplicationTransactionSearchResult',
            'ArrayOfApplicationTransactionDetails' => '\\eBizCharge\\ArrayType\\ArrayOfApplicationTransactionDetails',
            'ApplicationTransactionDetails' => '\\eBizCharge\\StructType\\ApplicationTransactionDetails',
            'MarkApplicationTransactionAsApplied' => '\\eBizCharge\\StructType\\MarkApplicationTransactionAsApplied',
            'MarkApplicationTransactionAsAppliedResponse' => '\\eBizCharge\\StructType\\MarkApplicationTransactionAsAppliedResponse',
            'GetCardInfo' => '\\eBizCharge\\StructType\\GetCardInfo',
            'GetCardInfoResponse' => '\\eBizCharge\\StructType\\GetCardInfoResponse',
            'GlobalBINData' => '\\eBizCharge\\StructType\\GlobalBINData',
            'GetZipCodeInfo' => '\\eBizCharge\\StructType\\GetZipCodeInfo',
            'GetZipCodeInfoResponse' => '\\eBizCharge\\StructType\\GetZipCodeInfoResponse',
            'ZipCodeData' => '\\eBizCharge\\StructType\\ZipCodeData',
            'GetReportData' => '\\eBizCharge\\StructType\\GetReportData',
            'GetReportDataResponse' => '\\eBizCharge\\StructType\\GetReportDataResponse',
            'GetCardsExpirationList' => '\\eBizCharge\\StructType\\GetCardsExpirationList',
            'GetCardsExpirationListResponse' => '\\eBizCharge\\StructType\\GetCardsExpirationListResponse',
            'CardsExpirationListSearchResult' => '\\eBizCharge\\StructType\\CardsExpirationListSearchResult',
            'ArrayOfCardExpirationCounts' => '\\eBizCharge\\ArrayType\\ArrayOfCardExpirationCounts',
            'CardExpirationCounts' => '\\eBizCharge\\StructType\\CardExpirationCounts',
            'GetPaymentMethodProfileCounts' => '\\eBizCharge\\StructType\\GetPaymentMethodProfileCounts',
            'GetPaymentMethodProfileCountsResponse' => '\\eBizCharge\\StructType\\GetPaymentMethodProfileCountsResponse',
            'PaymentMethodProfileCountsSearchResult' => '\\eBizCharge\\StructType\\PaymentMethodProfileCountsSearchResult',
            'ArrayOfPaymentMethodProfileCounts' => '\\eBizCharge\\ArrayType\\ArrayOfPaymentMethodProfileCounts',
            'PaymentMethodProfileCounts' => '\\eBizCharge\\StructType\\PaymentMethodProfileCounts',
            'GetRecurringFrequencyList' => '\\eBizCharge\\StructType\\GetRecurringFrequencyList',
            'GetRecurringFrequencyListResponse' => '\\eBizCharge\\StructType\\GetRecurringFrequencyListResponse',
            'ArrayOfRecurringFrequency' => '\\eBizCharge\\ArrayType\\ArrayOfRecurringFrequency',
            'RecurringFrequency' => '\\eBizCharge\\StructType\\RecurringFrequency',
            'SearchSurchargePayments' => '\\eBizCharge\\StructType\\SearchSurchargePayments',
            'SearchSurchargePaymentsResponse' => '\\eBizCharge\\StructType\\SearchSurchargePaymentsResponse',
            'SurchargeSearchResult' => '\\eBizCharge\\StructType\\SurchargeSearchResult',
            'ArrayOfSurcharge' => '\\eBizCharge\\ArrayType\\ArrayOfSurcharge',
            'Surcharge' => '\\eBizCharge\\StructType\\Surcharge',
            'ArrayOfPaidDocument' => '\\eBizCharge\\ArrayType\\ArrayOfPaidDocument',
            'PaidDocument' => '\\eBizCharge\\StructType\\PaidDocument',
            'MarkSurchargePaymentAsApplied' => '\\eBizCharge\\StructType\\MarkSurchargePaymentAsApplied',
            'MarkSurchargePaymentAsAppliedResponse' => '\\eBizCharge\\StructType\\MarkSurchargePaymentAsAppliedResponse',
            'SearchPaymentMethodProfiles' => '\\eBizCharge\\StructType\\SearchPaymentMethodProfiles',
            'SearchPaymentMethodProfilesResponse' => '\\eBizCharge\\StructType\\SearchPaymentMethodProfilesResponse',
            'PaymentMethodProfilesSearchResult' => '\\eBizCharge\\StructType\\PaymentMethodProfilesSearchResult',
            'ArrayOfPaymentMethodProfileDetails' => '\\eBizCharge\\ArrayType\\ArrayOfPaymentMethodProfileDetails',
            'PaymentMethodProfileDetails' => '\\eBizCharge\\StructType\\PaymentMethodProfileDetails',
        );
    }
}
