<?php

namespace eBizCharge\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateTerms StructType
 * @subpackage Structs
 */
class UpdateTerms extends AbstractStructBase
{
    /**
     * The securityToken
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \eBizCharge\StructType\SecurityToken
     */
    public $securityToken;
    /**
     * The terms
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \eBizCharge\StructType\Terms
     */
    public $terms;
    /**
     * The termsId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $termsId;
    /**
     * The termsInternalId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $termsInternalId;
    /**
     * Constructor method for UpdateTerms
     * @uses UpdateTerms::setSecurityToken()
     * @uses UpdateTerms::setTerms()
     * @uses UpdateTerms::setTermsId()
     * @uses UpdateTerms::setTermsInternalId()
     * @param \eBizCharge\StructType\SecurityToken $securityToken
     * @param \eBizCharge\StructType\Terms $terms
     * @param string $termsId
     * @param string $termsInternalId
     */
    public function __construct(\eBizCharge\StructType\SecurityToken $securityToken = null, \eBizCharge\StructType\Terms $terms = null, $termsId = null, $termsInternalId = null)
    {
        $this
            ->setSecurityToken($securityToken)
            ->setTerms($terms)
            ->setTermsId($termsId)
            ->setTermsInternalId($termsInternalId);
    }
    /**
     * Get securityToken value
     * @return \eBizCharge\StructType\SecurityToken|null
     */
    public function getSecurityToken()
    {
        return $this->securityToken;
    }
    /**
     * Set securityToken value
     * @param \eBizCharge\StructType\SecurityToken $securityToken
     * @return \eBizCharge\StructType\UpdateTerms
     */
    public function setSecurityToken(\eBizCharge\StructType\SecurityToken $securityToken = null)
    {
        $this->securityToken = $securityToken;
        return $this;
    }
    /**
     * Get terms value
     * @return \eBizCharge\StructType\Terms|null
     */
    public function getTerms()
    {
        return $this->terms;
    }
    /**
     * Set terms value
     * @param \eBizCharge\StructType\Terms $terms
     * @return \eBizCharge\StructType\UpdateTerms
     */
    public function setTerms(\eBizCharge\StructType\Terms $terms = null)
    {
        $this->terms = $terms;
        return $this;
    }
    /**
     * Get termsId value
     * @return string|null
     */
    public function getTermsId()
    {
        return $this->termsId;
    }
    /**
     * Set termsId value
     * @param string $termsId
     * @return \eBizCharge\StructType\UpdateTerms
     */
    public function setTermsId($termsId = null)
    {
        // validation for constraint: string
        if (!is_null($termsId) && !is_string($termsId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($termsId, true), gettype($termsId)), __LINE__);
        }
        $this->termsId = $termsId;
        return $this;
    }
    /**
     * Get termsInternalId value
     * @return string|null
     */
    public function getTermsInternalId()
    {
        return $this->termsInternalId;
    }
    /**
     * Set termsInternalId value
     * @param string $termsInternalId
     * @return \eBizCharge\StructType\UpdateTerms
     */
    public function setTermsInternalId($termsInternalId = null)
    {
        // validation for constraint: string
        if (!is_null($termsInternalId) && !is_string($termsInternalId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($termsInternalId, true), gettype($termsInternalId)), __LINE__);
        }
        $this->termsInternalId = $termsInternalId;
        return $this;
    }
}
